Форма входа

Логин:
Пароль:

Поиск

Наши координаты

Телефон:
+7 (913) 229 5479
Адрес:
г. Барнаул
пр. Строителей, 16, оф. 613
Почтовый адрес:
656067, Алтайский край, г.Барнаул, 67 отделение связи,
а/я 4180
E-mail:
support@oit-company.ru

Наши партнёры





Понедельник, 18.01.2021, 20:42
Приветствуем Вас Гость
Регистрация | Вход | RSS

ОТДЕЛ
ИНФОРМАЦИОННЫХ
ТЕХНОЛОГИЙ
 
Главная » 2009 » Октябрь » 29 » Обновление Firefox 3.5.4 и 3.0.15 с исправлением 11 серьезных уязвимостей
Обновление Firefox 3.5.4 и 3.0.15 с исправлением 11 серьезных уязвимостей
18:34

Разработчики проекта Mozilla выпустили обновление Firefox 3.5.4 в котором исправлено 16 уязвимостей, из которых 11 имеют критический характер опасности, 3 - умеренный и 2 - незначительный. Кроме уязвимостей в Firefox 3.5.4 устранено большое число влияющих на стабильность работы ошибок, также решена проблема с неполной загрузкой CSS и изображений для некоторых сайтов при первой загрузке страницы через защищенное соединение (SSL, https).

Исправленные в Firefox 3.5.4 критические уязвимости (следует отметить, что уведомлений о критических проблемах 6, но так как проблемы в некоторых уведомлениях объединены, фактически исправлено 11 критических ошибок):

  • MFSA 2009-64 - 4 ошибки, приводящие к краху из-за повреждения областей памяти. Потенциально проблемы могут быть использованы для выполнения кода злоумышленника при обработке специально оформленных JavaScript блоков;
  • MFSA 2009-63 - 3 ошибки во входящих в комплект сторонних библиотеках liboggz, libvorbis и liboggplay, позволяющие выйти за допустимые границы памяти при обработке специально оформленных мультимедиа файлов, что может привести к краху или выполнению кода злоумышленника;
  • MFSA 2009-59 - переполнение буфера в функциях преобразования строк в числа с плавающей точкой. Злоумышленник может использовать специально оформленную очень длинную строку в JavaScript функциях преобразования для организации выполнения своего кода в системе;
  • MFSA 2009-57 - используя XPCOM операцию XPCVariant::VariantDataToJS злоумышленник может добиться выполнения своего JavaScript кода вне изолированного окружения с привилегиями браузера (уровень chrome);
  • MFSA 2009-56 - переполнения буфера в обработчике цветовых карт в GIF файлах, может привести к выполнению кода злоумышленника при обработке специально модифицированных изображений;
  • MFSA 2009-54 - через рекурсивное создание web-worker для фонового выполнения длительных JavaScript операций, можно добиться создания объектов для которых не будет очищена память перед их использованием. Подобная техника может быть использована для инициирования краха или для выполнения кода злоумышленника в системе.
Одновременно выпущено обновление Firefox 3.0.15 в котором исправлены те же уязвимости, за исключением проблемы с web-worker.

Источник
Просмотров: 876 | Добавил: sashacd | Рейтинг: 0.0/0 |

Copyright ООО "Отдел Информационных Технологий" © 2021